[squeak-dev] [Squeak 4.0] (RC2) Mac VM Issue: Punted

John M McIntosh johnmci at smalltalkconsulting.com
Thu Mar 11 04:43:00 UTC 2010

You should be using the Squeak 4.2.2beta1U one it should run non-closure Images just fine. 

In Squeak3-1.10.2-7179-basic you have Squeak 3.8.18beta3U.app

That one has an expired warranty.

On 2010-03-10, at 8:32 PM, Casey Ransberger wrote:

> The Mac VM I'm currently packaging with 4.0 is the same one that was
> packaged with 3.10.2. It's old, stable, and closureless. Going to
> squeak.org and clicking download, I now get the experimental 32/64 bit
> VM that John built, and folks told me to beware of that, so I'm
> calling this issue a non-blocking nice-to-have. We'll ship the OS X
> zip file with the old VM in RC2. If there's an RC3, I'll consider
> dropping a different VM in if there's consensus around which one to
> use.
> Rationale:
> - It's not hard to find a newer VM
> - Clearing changesets and image cleanup may affect the relicense
> effort and are thus presently of top priority
> - The person doing the closure bootstrap (which is a very involved
> process as I understand it) will probably know which VM to choose
> - 4.0 is virtually the same as 3.10.2, and is thus better tested with
> the latest *stable* virtual machine
> - The VM doesn't block relicensing
> -- 
> Casey Ransberger (a.k.a., Ronald Spengler)

John M. McIntosh <johnmci at smalltalkconsulting.com>   Twitter:  squeaker68882
Corporate Smalltalk Consulting Ltd.  http://www.smalltalkconsulting.com

More information about the Squeak-dev mailing list